> For the complete documentation index, see [llms.txt](https://docs.bwarelabs.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bwarelabs.com/api-docs/astar/rpc-dusty-testnet/eth_getbalance-method.md).

# eth\_getBalance method

### **Parameters** <a href="#parameters" id="parameters"></a>

1. `DATA`, 20 Bytes - address to check for the balance.
2. `QUANTITY|TAG` - integer block number, or the string `"latest"`, `"earliest"` or `"pending"`, see the [default block parameter](https://eth.wiki/json-rpc/API#the-default-block-parameter)​

### Response

The balance of the given account

### Example <a href="#example" id="example"></a>

```
// Request
curl -H "Content-Type: application/json" -d '{"jsonrpc":"2.0","method":"eth_getBalance","params":["0x0000000000000000000000000000000000001000", "0x186A0"] ,"id":32}' https://astar-api.bwarelabs.com/<your-endpoint-id>

// Response
{
    "jsonrpc": "2.0",
    "id": 32,
    "result": "0xb284fbfd108db80"
}
```
